import { MaskWidget } from '@oinone/kunlun-vue-admin-layout';
export default class MenuWidget extends MaskWidget {
    private menus;
    private menuArray;
    private collapsed;
    private mode;
    private resolvedMenus;
    private router;
    private matchedInstance;
    initialize(props: any): this;
    mounted(): Promise<void>;
    private onChangeCollapsed;
    private resolveMenu;
    private onClick;
    private selectKeys;
    private openKeys;
    private openChange;
    private get rootSubmenuKeys();
}
